Name:           gsound
Version:        1.0.2
Release:        9
Summary:        A small library for playing system sounds
License:        LGPLv2
URL:            https://wiki.gnome.org/Projects/GSound
Source0:        http://download.gnome.org/sources/gsound/1.0/gsound-%{version}.tar.xz

BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(libcanberra) vala-tools

%description
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,and is a thin wrapper around the libcanberra C library.

%package        devel
Summary:        Libraries and headers for gsound.
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files for developing applications that use gsound.

%prep
%autosetup -n gsound-%{version} -p1

%build
%configure --disable-static --enable-vala
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING README
%{_bindir}/gsound-play
%{_libdir}/{*.so.*,girepository-1.0}
%dir %{_libdir}/girepository-1.0

%files devel
%{_includedir}/*
%{_libdir}/{*.so,pkgconfig}
%dir %{_datadir}/gir-1.0
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/{gir-1.0,gtk-doc,vala}

%changelog
* Tue May 24 2022 loong_C <loong_c@yeah.net> - 1.0.2-9
- fix spec changelog date

* Sat Dec 21 2019 chenli <chenli147@huawei.com> - 1.0.2-8
- Package init
